# Class StTLSContextService

java.lang.Object
com.io7m.stonesignal.server.tls.StTLSContextService

All Implemented Interfaces:
  `com.io7m.repetoir.core.RPServiceType`, `StTLSContextServiceType`

public final class StTLSContextService extends Object implements StTLSContextServiceType
The TLS context service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StTLSContext`
  `create(String user, StConfiguration.TLSStore keyStoreConfiguration, StConfiguration.TLSStore trustStoreConfiguration)`
  Create a TLS context.
  `static StTLSContextServiceType`
  `createService(com.io7m.repetoir.core.RPServiceDirectoryType services)`
  `String`
  `description()`
  `void`
  `reload()`
  Reload all TLS contexts.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### createService

    public static StTLSContextServiceType createService(com.io7m.repetoir.core.RPServiceDirectoryType services)
    Parameters:
      `services` - The service directory
    Returns:
      A new TLS context service

  - ### create

    public StTLSContext create(String user, StConfiguration.TLSStore keyStoreConfiguration, StConfiguration.TLSStore trustStoreConfiguration) throws StException
    Description copied from interface: `StTLSContextServiceType`
    Create a TLS context.
    Specified by:
      `create` in interface `StTLSContextServiceType`
    Parameters:
      `user` - The user of this context (such as "HealthService", "AdminService", etc)
      `keyStoreConfiguration` - The keystore configuration
      `trustStoreConfiguration` - The truststore configuration
    Returns:
      A TLS context
    Throws:
      `StException` - On errors

  - ### reload

    public void reload()
    Description copied from interface: `StTLSContextServiceType`
    Reload all TLS contexts. Primarily used to reload short-lived certificates issued using the ACME protocol.
    Specified by:
      `reload` in interface `StTLSContextServiceType`

  - ### description

    public String description()
    Specified by:
      `description` in interface `com.io7m.repetoir.core.RPServiceType`